CFReadStream Reference

## Detailed Description

## Typedefs

typedef void(* | CFReadStreamClientCallBack) (CFReadStreamRef stream, CFStreamEventType eventType, void *clientCallBackInfo)

## Functions

CFStreamError | CFReadStreamGetError (CFReadStreamRef stream)
CFStreamStatus | CFReadStreamGetStatus (CFReadStreamRef stream)
Boolean | CFReadStreamHasBytesAvailable (CFReadStreamRef stream)

## Creating a Read Stream

CFReadStreamRef | CFReadStreamCreateWithBytesNoCopy (CFAllocatorRef alloc, const UInt8 *bytes, CFIndex length, CFAllocatorRef bytesDeallocator)
CFReadStreamRef | CFReadStreamCreateWithFile (CFAllocatorRef alloc, CFURLRef fileURL)

## Opening and Closing a Read Stream

void | CFReadStreamClose (CFReadStreamRef stream)
Boolean | CFReadStreamOpen (CFReadStreamRef stream)

## Reading from a Read Stream

CFIndex | CFReadStreamRead (CFReadStreamRef stream, UInt8 *buffer, CFIndex bufferLength)

## Scheduling a Read Stream

void | CFReadStreamScheduleWithRunLoop (CFReadStreamRef stream, CFRunLoopRef runLoop, CFStringRef runLoopMode)
void | CFReadStreamUnscheduleFromRunLoop (CFReadStreamRef stream, CFRunLoopRef runLoop, CFStringRef runLoopMode)

## Examining Stream Properties

CFTypeRef | CFReadStreamCopyProperty (CFReadStreamRef stream, CFStringRef propertyName)
const UInt8 * | CFReadStreamGetBuffer (CFReadStreamRef stream, CFIndex maxBytesToRead, CFIndex *numBytesRead)

## Setting Stream Properties

Boolean | CFReadStreamSetClient (CFReadStreamRef stream, CFOptionFlags streamEvents, CFReadStreamClientCallBack clientCB, CFStreamClientContext *clientContext)

## Getting the CFReadStream Type ID

CFTypeID | CFReadStreamGetTypeID (void)